=== debian/changelog ===
ros-noetic-planner-cspace (0.12.0-1buster) buster; urgency=high

  * planner_cspace: add continuous movement mode to MoveWithTolerance (#652 <https://github.com/at-wat/neonavigation/issues/652>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Jan 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.11.8-1buster) buster; urgency=high

  * planner_cspace: add missing array include (#658 <https://github.com/at-wat/neonavigation/issues/658>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 28 Dec 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.7-1buster) buster; urgency=high

  * planner_cspace: fix pose duplication on path interpolation (#648 <https://github.com/at-wat/neonavigation/issues/648>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 05 Aug 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.6-1buster) buster; urgency=high

  * planner_cspace: add more test case to Planner3DMapSize (#640 <https://github.com/at-wat/neonavigation/issues/640>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 20 Jul 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.5-1buster) buster; urgency=high

  * planner_cspace: fix access violation on wrong size costmap_update message (#637 <https://github.com/at-wat/neonavigation/issues/637>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 06 Jul 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.4-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 13 Apr 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.3-1buster) buster; urgency=high

  * planner_cspace: fix DistanceMap::init() (#625 <https://github.com/at-wat/neonavigation/issues/625>)
  * Fix flaky tests and add debug outputs (#628 <https://github.com/at-wat/neonavigation/issues/628>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Dec 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.11.2-1buster) buster; urgency=high

  * planner_cspace: Fix header of fihish path (#622 <https://github.com/at-wat/neonavigation/issues/622>)
  * Contributors: Kazuki Takahashi

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 08 Nov 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.11.1-1buster) buster; urgency=high

  * planner_cspace: refactor distance map generator (#617 <https://github.com/at-wat/neonavigation/issues/617>)
  * planner_cspace: recover error on FINISHING state (#615 <https://github.com/at-wat/neonavigation/issues/615>)
  * planner_cspace: fix flaky actionlib tests (#616 <https://github.com/at-wat/neonavigation/issues/616>)
  * planner_cspace: remove unused variable (#614 <https://github.com/at-wat/neonavigation/issues/614>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 29 Oct 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.11.0-1buster) buster; urgency=high

  * Apply clang-format-11 with new setting (#605 <https://github.com/at-wat/neonavigation/issues/605>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Aug 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.10.11-1buster) buster; urgency=high

  * planner_cspace: reset next_replan_time after waitUntil() (#602 <https://github.com/at-wat/neonavigation/issues/602>)
  * Contributors: Kazuki Takahashi

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 21 Jun 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.10.10-1buster) buster; urgency=high

  * planner_cspace: fix goal unreachable condition (#595 <https://github.com/at-wat/neonavigation/issues/595>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.10.9-1buster) buster; urgency=high

  * planner_cspace: abort A* search on continuous timeout (#592 <https://github.com/at-wat/neonavigation/issues/592>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 16 Mar 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.10.8-1buster) buster; urgency=high

  * planner_cspace: improve performance of costmap reset (#587 <https://github.com/at-wat/neonavigation/issues/587>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 10 Mar 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.10.7-1buster) buster; urgency=high

  * planner_cspace: improve performance of hysteresis clearing (#586 <https://github.com/at-wat/neonavigation/issues/586>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 07 Mar 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.10.6-1buster) buster; urgency=high

  * planner_cspace: fix condition of open queue (#576 <https://github.com/at-wat/neonavigation/issues/576>)
  * planner_cspace: add debug output about cost_estim_cache update (#577 <https://github.com/at-wat/neonavigation/issues/577>)
  * planner_cspace: reuse open/erase queue (#575 <https://github.com/at-wat/neonavigation/issues/575>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 28 Jan 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.10.5-1buster) buster; urgency=high

  * planner_cspace: enable tolerance in make_plan (#570 <https://github.com/at-wat/neonavigation/issues/570>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 24 Dec 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.10.4-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Nov 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.10.3-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 22 Oct 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.10.2-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 07 Oct 2020 00:00:00 -0000

ros-noetic-planner-cspace (0.10.1-1buster) buster; urgency=high


