## ros-noetic-planner-cspace 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
   actionlib
   diagnostic_updater
+  dynamic_reconfigure
   geometry_msgs
   move_base_msgs
   nav_msgs
@@ -19,6 +20,7 @@
   costmap_cspace
   costmap_cspace_msgs
   neonavigation_common
+  neonavigation_metrics_msgs
   planner_cspace_msgs
   trajectory_tracker_msgs
 )
@@ -26,13 +28,18 @@
 find_package(catkin REQUIRED COMPONENTS ${CATKIN_DEPENDS})
 find_package(Boost REQUIRED COMPONENTS chrono)
 find_package(OpenMP REQUIRED)
+
+generate_dynamic_reconfigure_options(
+  cfg/Planner3D.cfg
+)
+
 catkin_package(
   INCLUDE_DIRS include
   CATKIN_DEPENDS ${CATKIN_DEPENDS}
 )
 
 
-set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 add_compile_options(-funroll-loops -finline-functions ${OpenMP_CXX_FLAGS})
@@ -50,7 +57,7 @@
   src/rotation_cache.cpp
 )
 target_link_libraries(planner_3d ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${OpenMP_CXX_FLAGS})
-add_dependencies(planner_3d ${catkin_EXPORTED_TARGETS})
+add_dependencies(planner_3d ${catkin_EXPORTED_TARGETS} ${PROJECT_NAME}_gencfg)
 set_property(TARGET planner_3d PROPERTY PUBLIC_HEADER
   include/planner_cspace/bbf.h
   include/planner_cspace/blockmem_gridmap.h
