=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+include_directories(include)
+
 catkin_add_gtest(test_blockmem_gridmap src/test_blockmem_gridmap.cpp)
 target_link_libraries(test_blockmem_gridmap ${catkin_LIBRARIES} ${Boost_LIBRARIES})
 
@@ -16,6 +18,16 @@
   ../src/rotation_cache.cpp
 )
 target_link_libraries(test_distance_map ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${OpenMP_CXX_FLAGS})
+
+catkin_add_gtest(test_distance_map_fast_update
+  src/test_distance_map_fast_update.cpp
+  ../src/distance_map.cpp
+  ../src/grid_astar_model_3dof.cpp
+  ../src/motion_cache.cpp
+  ../src/motion_primitive_builder.cpp
+  ../src/rotation_cache.cpp
+)
+target_link_libraries(test_distance_map_fast_update ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${OpenMP_CXX_FLAGS})
 
 catkin_add_gtest(test_grid_metric_converter src/test_grid_metric_converter.cpp)
 target_link_libraries(test_grid_metric_converter ${catkin_LIBRARIES} ${Boost_LIBRARIES})
@@ -67,7 +79,7 @@
   src/test_navigate.cpp
 )
 target_link_libraries(test_navigate ${catkin_LIBRARIES})
-add_dependencies(test_navigate planner_3d)
+add_dependencies(test_navigate planner_3d patrol)
 
 add_rostest(test/navigation_rostest.test
   ARGS antialias_start:=true
@@ -137,6 +149,12 @@
 target_link_libraries(test_tolerant_action ${catkin_LIBRARIES})
 add_dependencies(test_tolerant_action planner_3d)
 
+add_rostest_gtest(test_dynamic_parameter_change
+  test/dynamic_parameter_change_rostest.test
+  src/test_dynamic_parameter_change.cpp
+)
+target_link_libraries(test_dynamic_parameter_change ${catkin_LIBRARIES})
+add_dependencies(test_dynamic_parameter_change planner_3d)
 
 if(NEONAVIGATION_EXTRA_TESTS)
