=== debian/changelog ===
ros-noetic-planner-cspace (0.15.0-1focal) focal; urgency=high

  * planner_cspace: enable dynamic reconfigure (#714 <https://github.com/at-wat/neonavigation/issues/714>)
  * planner_space: fix segmentation fault on out-of-map (#712 <https://github.com/at-wat/neonavigation/issues/712>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 30 Aug 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.14.2-1focal) focal; urgency=high

  * planner_cspace: improve peformance of DistanceMap (#709 <https://github.com/at-wat/neonavigation/issues/709>)
  * planner_cspace: avoid multiple goal pose relocation (#708 <https://github.com/at-wat/neonavigation/issues/708>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 31 Jul 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.14.1-1focal) focal; urgency=high

  * planner_cspace: fix error status handling after cost_estim_cache_ was not created (#705 <https://github.com/at-wat/neonavigation/issues/705>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 07 Jul 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.14.0-1focal) focal; urgency=high

  * planner_cspace: publish planner_3d metrics (#701 <https://github.com/at-wat/neonavigation/issues/701>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 06 Jun 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.13.0-1focal) focal; urgency=high

  * planner_cspace: fix fast map update (#692 <https://github.com/at-wat/neonavigation/issues/692>)
  * planner_cspace: fix status when goal or robot is in rock on updating goal (#694 <https://github.com/at-wat/neonavigation/issues/694>)
  * planner_cspace: fix string template constexpr in test (#685 <https://github.com/at-wat/neonavigation/issues/685>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 31 May 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.12.2-1focal) focal; urgency=high

  * planner_cspace: fix planner_2dof_serial_joints status (#682 <https://github.com/at-wat/neonavigation/issues/682>)
  * planner_cspace: set timestamp to planner status message (#681 <https://github.com/at-wat/neonavigation/issues/681>)
  * planner_cspace: fix uninitialized variables in DistanceMap (#679 <https://github.com/at-wat/neonavigation/issues/679>)
  * planner_cspace: add scoped trace to some test cases (#680 <https://github.com/at-wat/neonavigation/issues/680>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 28 Feb 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.12.1-1focal) focal; urgency=high

  * Improve test logs on timeout (#673 <https://github.com/at-wat/neonavigation/issues/673>)
  * planner_cspace: fix map update range (#672 <https://github.com/at-wat/neonavigation/issues/672>)
  * planner_cspace: clear velocity of dummy_robot on position set (#669 <https://github.com/at-wat/neonavigation/issues/669>)
  * planner_cspace: fix flaky action tests (#665 <https://github.com/at-wat/neonavigation/issues/665>)
  * planner_cspace: fix planner_cspace_msgs version constraint (#663 <https://github.com/at-wat/neonavigation/issues/663>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 25 Feb 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.12.0-1focal) focal; urgency=high

  * planner_cspace: add continuous movement mode to MoveWithTolerance (#652 <https://github.com/at-wat/neonavigation/issues/652>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Jan 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.11.8-1focal) focal; urgency=high

  * planner_cspace: add missing array include (#658 <https://github.com/at-wat/neonavigation/issues/658>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 28 Dec 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.7-1focal) focal; urgency=high

  * planner_cspace: fix pose duplication on path interpolation (#648 <https://github.com/at-wat/neonavigation/issues/648>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 05 Aug 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.6-1focal) focal; urgency=high

  * planner_cspace: add more test case to Planner3DMapSize (#640 <https://github.com/at-wat/neonavigation/issues/640>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 20 Jul 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.5-1focal) focal; urgency=high

  * planner_cspace: fix access violation on wrong size costmap_update message (#637 <https://github.com/at-wat/neonavigation/issues/637>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 06 Jul 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.4-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 13 Apr 2022 00:00:00 -0000

ros-noetic-planner-cspace (0.11.3-1focal) focal; urgency=high

  * planner_cspace: fix DistanceMap::init() (#625 <https://github.com/at-wat/neonavigation/issues/625>)
  * Fix flaky tests and add debug outputs (#628 <https://github.com/at-wat/neonavigation/issues/628>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Dec 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.11.2-1focal) focal; urgency=high

  * planner_cspace: Fix header of fihish path (#622 <https://github.com/at-wat/neonavigation/issues/622>)
  * Contributors: Kazuki Takahashi

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 08 Nov 2021 00:00:00 -0000

ros-noetic-planner-cspace (0.11.1-1focal) focal; urgency=high

  * planner_cspace: refactor distance map generator (#617 <https://github.com/at-wat/neonavigation/issues/617>)
  * planner_cspace: recover error on FINISHING state (#615 <https://github.com/at-wat/neonavigation/issues/615>)

