## ros-noetic-planner-cspace 0.17.7

=== debian/changelog ===
ros-noetic-planner-cspace (0.17.7-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 16 Apr 2025 00:00:00 -0000

ros-noetic-planner-cspace (0.17.6-1focal) focal; urgency=high

  * planner_cspace: fix flaky dynamic reconfigure test (#756 <https://github.com/at-wat/neonavigation/issues/756>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 18 Mar 2025 00:00:00 -0000

ros-noetic-planner-cspace (0.17.5-1focal) focal; urgency=high

  * planner_cspace: reconstuct GridAstarModel3D only when necessary (#751 <https://github.com/at-wat/neonavigation/issues/751>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 21 Feb 2025 00:00:00 -0000

ros-noetic-planner-cspace (0.17.4-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 20 Jan 2025 00:00:00 -0000

ros-noetic-planner-cspace (0.17.3-1focal) focal; urgency=high

  * planner_cspace: add costmap_cspace integration test for out-of-bound position (#746 <https://github.com/at-wat/neonavigation/issues/746>)
  * costmap_cspace: publish empty costmap_update on out-of-bound (#743 <https://github.com/at-wat/neonavigation/issues/743>)
  * planner_cspace: reduce remember_updates calculation cost (#742 <https://github.com/at-wat/neonavigation/issues/742>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 25 Dec 2024 00:00:00 -0000

ros-noetic-planner-cspace (0.17.2-1focal) focal; urgency=high

  * planner_3d: apply turn_penalty_cost_threshold in curve path (#739 <https://github.com/at-wat/neonavigation/issues/739>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 07 Nov 2024 00:00:00 -0000

ros-noetic-planner-cspace (0.17.1-1focal) focal; urgency=high

  * planner_3d: remove duplicated interpolation method (#733 <https://github.com/at-wat/neonavigation/issues/733>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 22 Mar 2024 00:00:00 -0000

ros-noetic-planner-cspace (0.17.0-1focal) focal; urgency=high

  * planner_3d: add an option to trigger planning by costmap updates (#727 <https://github.com/at-wat/neonavigation/issues/727>)
  * planner_3d: fix cost calculation bug on in-place turning (#725 <https://github.com/at-wat/neonavigation/issues/725>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Nov 2023 00:00:00 -0000

ros-noetic-planner-cspace (0.16.0-1focal) focal; urgency=high

  * planner_cspace: start planning from expected robot pose (#717 <https://github.com/at-wat/neonavigation/issues/717>)
  * planner_cspace: add new parameters for cost function (#720 <https://github.com/at-wat/neonavigation/issues/720>)
  * planner_cspace: refactor start pose building algorithm and fix finishing condition when start is relocated (#718 <https://github.com/at-wat/neonavigation/issues/718>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 14 Sep 2023 00:00:00 -0000
